/**
 * Pen MAF
 * =======
 *
 * Version: 0.1.0 for MAF 0.5.0
 *
 * Author: Christopher Ottley
 *
 * Description: Resets MAF scripts to a presetup state.
 *
 *  Copyright (c) 2005 Christopher Ottley.
 *
 *
 *  This file is part of PENMAF.
 *
 *  PENMAF is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MAF is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with PENMAF; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


function penmaf() {

}

penmaf.prototype = {

  onWindowClose: function(event) {

    var svcMafUtil = Components.classes["@mozilla.org/maf/util_service;1"]
                      .getService(Components.interfaces.nsIMafUtil);

    // Check to see it's the last open window
    var numberOfOpenWindows = svcMafUtil.getNumberOfOpenWindows();

    // If it's the last window
    if (numberOfOpenWindows < 2) {
        // Get preference maf.postsetup.complete
        var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                      .getService(Components.interfaces.nsIPrefService).getBranch("maf.");

        // Set preference maf.postsetup.complete
        prefs.setBoolPref("postsetup.0.5.0.complete", false);

        try {
          var oDir = Components.classes["@mozilla.org/file/local;1"]
                        .createInstance(Components.interfaces.nsILocalFile);
          oDir.initWithPath(Components.classes["@mozilla.org/file/directory_service;1"]
                              .getService(Components.interfaces.nsIProperties)
                              .get("ProfD", Components.interfaces.nsIFile).path);
          oDir.append("maf");

          if (oDir.exists() && oDir.isDirectory()) {
            var entries = oDir.directoryEntries;

            // If there's something to delete
            while (entries.hasMoreElements()) {
              // Remove entry
              var currFile = entries.getNext();
              currFile.QueryInterface(Components.interfaces.nsILocalFile);
              currFile.remove(true);
            }
          }
        } catch(e) {

        }

    }

  }

}



try {

  /**
  * Main object
  */
  var PenMaf = new penmaf();

  window.addEventListener("close", PenMaf.onWindowClose, true);

} catch(e) {

}
